## org.apache.lucene.queryParser.standard.config
Class LocaleAttributeImpl

    java.lang.Object
      org.apache.lucene.util.AttributeImpl
          org.apache.lucene.queryParser.standard.config.LocaleAttributeImpl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, LocaleAttribute, org.apache.lucene.util.Attribute

    public class LocaleAttributeImpl

extends org.apache.lucene.util.AttributeImpl
implements LocaleAttribute

This attribute is used by processor `ParametricRangeQueryNodeProcessor` and must be defined in the `QueryConfigHandler`. This attribute tells the processor what is the default `Locale` used to parse a date.

See Also:
  `LocaleAttribute`, Serialized Form

Constructor Summary
`LocaleAttributeImpl()`

Method Summary
`void` `clear()`
`void` `copyTo(org.apache.lucene.util.AttributeImpl target)`
`boolean` `equals(java.lang.Object other)`
`java.util.Locale` `getLocale()`
`int` `hashCode()`
`void` `setLocale(java.util.Locale locale)`
`java.lang.String` `toString()`

Methods inherited from class org.apache.lucene.util.AttributeImpl
`clone`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LocaleAttributeImpl

    public LocaleAttributeImpl()

Method Detail

### setLocale

    public void setLocale(java.util.Locale locale)

  Specified by:
    `setLocale` in interface `LocaleAttribute`

### getLocale

    public java.util.Locale getLocale()

  Specified by:
    `getLocale` in interface `LocaleAttribute`

### clear

    public void clear()

  Specified by:
    `clear` in class `org.apache.lucene.util.AttributeImpl`

### copyTo

    public void copyTo(org.apache.lucene.util.AttributeImpl target)

  Specified by:
    `copyTo` in class `org.apache.lucene.util.AttributeImpl`

### equals

    public boolean equals(java.lang.Object other)

  Specified by:
    `equals` in class `org.apache.lucene.util.AttributeImpl`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `org.apache.lucene.util.AttributeImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.apache.lucene.util.AttributeImpl`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.